//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ CCalcEmApp header ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.1 ]
//////////////////////////////////////////////////////////////////////////////////

// CalcEm.h : main header file for the CALCEM application
//

#if !defined(AFX_CALCEM_H__92ABD4B9_C646_11D1_BD69_0000C053B4FA__INCLUDED_)
#define AFX_CALCEM_H__92ABD4B9_C646_11D1_BD69_0000C053B4FA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "MainWnd.h"	// Added by ClassView

/////////////////////////////////////////////////////////////////////////////
// CCalcEmApp:
// See CalcEm.cpp for the implementation of this class
//

class CCalcEmApp : public CWinApp
{
public:
	CRecentFileList * GetRecentFileList();
	CMainWnd m_MainWnd;
	CCalcEmApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCalcEmApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CCalcEmApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALCEM_H__92ABD4B9_C646_11D1_BD69_0000C053B4FA__INCLUDED_)
