//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ Floating window class implementation ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.4 ]
//////////////////////////////////////////////////////////////////////////////////
// FloatWnd.cpp : implementation file
//

#include "stdafx.h"
#include "calcem.h"
#include "FloatWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFloatWnd

IMPLEMENT_DYNCREATE(CFloatWnd, CWnd)

CFloatWnd::CFloatWnd()
{
}

CFloatWnd::~CFloatWnd()
{
}


BEGIN_MESSAGE_MAP(CFloatWnd, CWnd)
	//{{AFX_MSG_MAP(CFloatWnd)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CFloatWnd message handlers

BOOL CFloatWnd::Create(LPCTSTR lpWindowName, const RECT & rect, CWnd* pParentWnd, DWORD dwStyle, DWORD dwStyleEx)
{
	ASSERT(lpWindowName);

	dwStyle |= WS_POPUP | WS_BORDER | WS_DLGFRAME | WS_SYSMENU /*| WS_THICKFRAME*/;
	dwStyleEx |= WS_EX_TOOLWINDOW | WS_EX_WINDOWEDGE;

	return CWnd::CreateEx(
		dwStyleEx,
		AfxRegisterWndClass(CS_HREDRAW | CS_VREDRAW),
		lpWindowName,
		dwStyle,
		rect,
		pParentWnd,
		0 );
}

void CFloatWnd::PostNcDestroy() 
{
	CWnd::PostNcDestroy();

//	delete this;
}
