//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ Keyboard window implementation ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.1 ]
//////////////////////////////////////////////////////////////////////////////////
// KeyboardWnd.cpp : implementation file
//

#include "stdafx.h"
#include "calcem.h"
#include "KeyboardWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKeyboardWnd

CKeyboardWnd::CKeyboardWnd()
{
}

CKeyboardWnd::~CKeyboardWnd()
{
}


BEGIN_MESSAGE_MAP(CKeyboardWnd, CFloatWnd)
	//{{AFX_MSG_MAP(CKeyboardWnd)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CKeyboardWnd message handlers

BOOL CKeyboardWnd::Create(CWnd * pParentWnd, DWORD dwStyle)
{
	return CFloatWnd::Create(
		"Keyboard",
		CRect(50, 400, 200, 400),
		pParentWnd,
		dwStyle | WS_THICKFRAME );
}
