//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ Keyboard window header ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.1 ]
//////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_KEYBOARDWND_H__2E7CAA82_D225_11D1_BD69_0000C053B4FA__INCLUDED_)
#define AFX_KEYBOARDWND_H__2E7CAA82_D225_11D1_BD69_0000C053B4FA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// KeyboardWnd.h : header file
//

#include "FloatWnd.h"

/////////////////////////////////////////////////////////////////////////////
// CKeyboardWnd window

class CKeyboardWnd : public CFloatWnd
{
// Construction
public:
	CKeyboardWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyboardWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual BOOL Create(CWnd * pParentWnd = NULL, DWORD dwStyle = 0);
	virtual ~CKeyboardWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CKeyboardWnd)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYBOARDWND_H__2E7CAA82_D225_11D1_BD69_0000C053B4FA__INCLUDED_)
