//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ Memory view header ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.4 ]
//////////////////////////////////////////////////////////////////////////////////
#if !defined(AFX_MEMORYDBGWND_H__4E71E441_D1F3_11D1_BD69_0000C053B4FA__INCLUDED_)
#define AFX_MEMORYDBGWND_H__4E71E441_D1F3_11D1_BD69_0000C053B4FA__INCLUDED_

#include "HexEdit.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MemoryDbgWnd.h : header file
//

#include "FloatWnd.h"

/////////////////////////////////////////////////////////////////////////////
// CMemoryDbgWnd window

class CMemoryDbgWnd : public CFloatWnd
{
// Construction
public:
	CMemoryDbgWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMemoryDbgWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual BOOL Create(CWnd * pParentWnd, DWORD dwStyle);
	CHexEdit m_HexEdit;
	virtual ~CMemoryDbgWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMemoryDbgWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MEMORYDBGWND_H__4E71E441_D1F3_11D1_BD69_0000C053B4FA__INCLUDED_)
