//
//    CalcEm - Calculator Emulator
//    Copyright (C) 1998  David Eriksson - david@2goodsoft.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//////////////////////////////////////////////////////////////////////////////////
// Project Name: [ Calculator Emulator (CalcEm) ]
// Source File:  [ Registers window header ]
// Author:       [ David Eriksson - david@2goodsoft.com ]
// Revision:     [ 0.4 ]
//////////////////////////////////////////////////////////////////////////////////
#if !defined(AFX_REGISTERSDBGWND_H__FE7582C2_CA55_11D1_BD69_0000C053B4FA__INCLUDED_)
#define AFX_REGISTERSDBGWND_H__FE7582C2_CA55_11D1_BD69_0000C053B4FA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// RegistersDbgWnd.h : header file
//

#include "FloatWnd.h"
#include "RegsDlg.h"	// Added by ClassView

/////////////////////////////////////////////////////////////////////////////
// CRegistersDbgWnd window

class CRegistersDbgWnd : public CFloatWnd
{
// Construction
public:
	CRegistersDbgWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRegistersDbgWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL Create(CWnd * pParent, DWORD dwStyle);
	CRegsDlg m_RegsDlg;
	virtual ~CRegistersDbgWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CRegistersDbgWnd)
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REGISTERSDBGWND_H__FE7582C2_CA55_11D1_BD69_0000C053B4FA__INCLUDED_)
